# This file created by conda-build 3.25.0
# meta.yaml template originally from:
# /private/var/folders/wk/981rzzds69v57x0g3m4rwsyw00010k/T/airflowtmp_44v7hob/5d53454a-cc45-4f4b-b1ab-9b6ca5488717/src/buildscripts/condarecipe.local, last modified Mon Mar 18 08:41:54 2024
# ------------------------------------------------

package:
  name: numba
  version: 0.59.1
source:
  path: /private/var/folders/wk/981rzzds69v57x0g3m4rwsyw00010k/T/airflowtmp_44v7hob/5d53454a-cc45-4f4b-b1ab-9b6ca5488717/src
build:
  entry_points:
    - numba = numba.misc.numba_entry:main
  ignore_run_exports:
    - tbb
  missing_dso_whitelist:
    - lib/libiomp5.dylib
  number: '0'
  script_env:
    - PY_VCRUNTIME_REDIST
  string: np1.22py3.11h8833779_g9ce83ef5c_0
requirements:
  build:
    - cctools_osx-arm64 949.0.1 h332cad3_25
    - clang 14.0.6 hca03da5_1
    - clang-14 14.0.6 default_h1b80db6_1
    - clang_osx-arm64 14.0.6 h9ff6fda_0
    - clangxx 14.0.6 default_h1b80db6_1
    - clangxx_osx-arm64 14.0.6 h72866fe_0
    - compiler-rt 14.0.6 h4ccfd99_0
    - compiler-rt_osx-arm64 14.0.6 h4fb70ea_0
    - ld64_osx-arm64 530 h001ce53_25
    - ldid 2.1.5 h20b2a84_3
    - libclang-cpp14 14.0.6 default_h1b80db6_1
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - libllvm14 14.0.6 h7ec7a93_3
    - llvm-openmp 14.0.6 hc6e5704_0
    - llvm-tools 14.0.6 hfd8c8a6_3
    - tapi 1100.0.11 h8754e6a_1
    - zlib 1.2.13 h5a0b063_0
  host:
    - blas 1.0 openblas
    - bzip2 1.0.8 h80987f9_5
    - ca-certificates 2023.12.12 hca03da5_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - libgfortran 5.0.0 11_3_0_hca03da5_28
    - libgfortran5 11.3.0 h009349e_28
    - libopenblas 0.3.21 h269037a_0
    - llvm-openmp 14.0.6 hc6e5704_0
    - llvmlite 0.42.0 py311_0
    - ncurses 6.4 h313beb8_0
    - numpy 1.22.3 py311hb2c0538_1
    - numpy-base 1.22.3 py311h9eb1c70_1
    - openssl 3.0.13 h1a28f6b_0
    - pip 23.3.1 py311hca03da5_0
    - python 3.11.8 hb885b13_0
    - readline 8.2 h1a28f6b_0
    - setuptools 68.2.2 py311hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - tbb 2021.8.0 h48ca7d4_0
    - tbb-devel 2021.8.0 h48ca7d4_0
    - tk 8.6.12 hb8d0fd4_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.41.2 py311hca03da5_0
    - xz 5.4.6 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
  run:
    - libcxx >=14.0.6
    - llvm-openmp >=14.0.6
    - llvmlite 0.42.*
    - numpy >=1.22.3, <1.27
    - python >=3.11,<3.12.0a0
  run_constrained:
    - cuda-python >=11.6
    - cudatoolkit >=10.2
    - libopenblas >=0.3.18, !=0.3.20
    - numba-rvsdg 0.0.*
    - scipy >=1.0
    - tbb >=2021.6
test:
  requires:
    - cffi
    - clang_osx-arm64
    - clangxx_osx-arm64
    - ipykernel
    - ipython
    - jinja2
    - llvm-openmp
    - scipy
    - setuptools
    - tbb >=2021.6
about:
  home: https://numba.pydata.org/
  license: BSD
  license_file: LICENSE
  summary: a just-in-time Python function compiler based on LLVM
extra:
  copy_test_source_files: true
  final: true
